From 0f5b96d4c4cdd102cbb299226b0f3b96a4b28c7e Mon Sep 17 00:00:00 2001
From: Bhaskar <niceguy108@gmail.com>
Date: Wed, 22 May 2013 22:53:36 +0530
Subject: [PATCH] * Bugfix in Osmoload.c: Assigning correct value to data
 pointer in LOADER_MEM_READ. Wrong value was introduced in
 last update when msgb_get() was replaced by msgb_pull()
 which returns end of data instead of start of data.

---
 src/host/osmocon/osmoload.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/host/osmocon/osmoload.c b/src/host/osmocon/osmoload.c
index 9b64935..e83f98a 100644
--- a/src/host/osmocon/osmoload.c
+++ b/src/host/osmocon/osmoload.c
@@ -307,7 +307,7 @@ loader_handle_reply(struct msgb *msg) {
 		length = msgb_pull_u8(msg);
 		crc = msgb_pull_u16(msg);
 		address = msgb_pull_u32(msg);
-		data = msgb_pull(msg, length);
+		data = msgb_pull(msg, length) - length;
 		break;
 	case LOADER_MEM_WRITE:
 		length = msgb_pull_u8(msg);
-- 
1.7.9

